import React from 'react'
import { useForm } from 'react-hook-form'

interface FormProps {
  children: any
  onSubmit: any
}

export default function Form(props: FormProps) {
  const { children, onSubmit } = props
  const methods = useForm()
  const {
    handleSubmit,
    formState: { errors },
  } = methods
  return (
    <form onSubmit={handleSubmit(onSubmit)}>
      {React.Children.map(children, (child) =>
        child.props.name
          ? React.createElement(child.type, {
              // eslint-disable-next-line react/jsx-props-no-spreading
              ...{
                // eslint-disable-next-line react/jsx-props-no-spreading
                ...child.props,
                control: methods.control,
                register: methods.register,
                errors,
                key: child.props.name,
              },
            })
          : child
      )}
    </form>
  )
}
