import { useEffect } from 'react'
import { Redirect, RouteComponentProps } from 'react-router-dom'

type TParams = { id: string }

function InviteLink({ match }: RouteComponentProps<TParams>) {
  // Fetch backend endpoint to preserve invite_id in backend session then redirect
  // to generic invite page with info about feide login or manual with passport.

  const inviteId = match.params.id

  useEffect(() => {
    fetch(`/api/ui/v1/invited/${inviteId}`)
  }, [])
  return <Redirect to="/invite" />
}

export default InviteLink
