import { ThemeOptions } from '@mui/material'

// Note that a few global styles are set by CssBaseline in 'routes/index.tsx

const mainTheme: ThemeOptions = {
  greg: {
    appMinWidth: '60rem',
    appMaxWidth: '110rem',
    headerBackgroundColor: 'black',
    h1TextColor: 'white',
    h2TextColor: '#373F41',
    footerBackgroundColor: 'black',
    footerTextColor: 'white',
  },
  palette: {
    primary: {
      main: '#3293ED',
      dark: '#1565c0'
    },
  },
  components: {
    MuiTextField: {
      defaultProps: {
        size: 'small',
      },
    },
    MuiButton: {
      defaultProps: {
        variant: 'outlined',
      },
    },
  },
}

export default mainTheme
