import { isValidEmail, isValidMobilePhoneNumber } from './index'

// Mock i18next module to return a translation that just returns the key
jest.mock('i18next', () => ({
  t: (value: string) => value,
}))

test('Invalid phone number', async () => {
  expect(isValidMobilePhoneNumber('dafasfdsfasdf')).not.toEqual(true)
})

test('Valid phone number', async () => {
  expect(isValidMobilePhoneNumber('+47 97510000')).toEqual(true)
})

test('Valid e-mail', async () => {
  expect(isValidEmail('test@example.org')).toEqual(true)
  expect(isValidEmail('Test.Tester@example.org')).toEqual(true)
})

test('Invalid e-mail', async () => {
  expect(isValidEmail('testexample.org')).not.toEqual(true)
  expect(isValidEmail('test')).not.toEqual(true)
  // Treat special characters as invalid, some services allow them though
  expect(isValidEmail('Øyvind.Åsen@example.org')).not.toEqual(true)
  expect(isValidEmail('Test.Tester@åsen.org')).not.toEqual(true)
})
