from .base import *

# This is the default configuration file when running manage.py

ALLOWED_HOSTS += ["localhost", "127.0.0.1"]
# EMAIL_HOST = "smtp.uio.no"
# EMAIL_PORT = "468"
# EMAIL_USE_SSL = True
# EMAIL_TIMEOUT = 2
# DEFAULT_FROM_EMAIL = "noreply@uio.no"
EMAIL_BACKEND = "django.core.mail.backends.console.EmailBackend"

ORGREG_CLIENT = {
    "endpoints": {"base_url": "https://example.com/fake/"},
    "headers": {"X-Gravitee-Api-Key": "bar"},
}

AUTHENTICATION_BACKENDS = [
    "gregui.authentication.auth_backends.DevBackend",  # Fake dev backend
    "django.contrib.auth.backends.ModelBackend",  # default
    "gregui.authentication.auth_backends.GregOIDCBackend",
    "sesame.backends.ModelBackend",  # link login
]

LOGIN_REDIRECT_URL = "http://localhost:3000/"
LOGOUT_REDIRECT_URL = "http://localhost:3000/"

CSRF_COOKIE_SAMESITE = "Strict"
SESSION_COOKIE_SAMESITE = "Lax"
# CSRF_COOKIE_HTTPONLY = True
# SESSION_COOKIE_HTTPONLY = True

try:
    from .local import *
except ImportError:
    pass
