from rest_framework import serializers

from greg.models import Person


class GuestRegisterSerializer(serializers.ModelSerializer):
    def create(self, validated_data):
        obj = super().create(validated_data)
        return obj

    class Meta:
        model = Person
        fields = ("id", "first_name", "last_name", "email")
        read_only_fields = ("id",)
        extra_kwargs = {
            "first_name": {"required": True},
            "last_name": {"required": True},
            "email": {"required": True},
        }
